
<script>
    $(document).ready(function() {  
        var $langPopup = $('#copyLanguage'),
            $langButton = $('<button type="button" class="spe"><?php i18n('SpecialPagesExtras/LANG_BUTTON') ?> &#9660;</button>');
            
        var langContents = <?php echo json_encode($langContents); ?>;
    
        $('#maincontent').append($langPopup); //move to the end of page
    
        $langButton
            .insertAfter('#maincontent .edit-nav:first a:last')
            .click(function(event){
                var pos = $langButton.offset();
                
                    $langPopup.css({
                    top : pos.top  +($langButton.height() + 4) + 'px',
                    right : ($('body').width() - pos.left - $langButton.outerWidth()) + 'px'
                });
                $langPopup.toggle();
                $langButton.toggleClass('active');
                event.stopPropagation();
            });
            
        //hiding language popup
        $(document).on('click', function (e) {
            var $target = $(e.target),
                isPopover = $(e.target).is($langPopup),
                inPopover = $(e.target).closest($langPopup).length > 0

            //hide only if clicked on button or inside popover
            if (!isPopover && !inPopover) 
               hideLangPopup()
        });
        
        $langPopup.on('click', 'button', function(event) {
            var lang = $(this).text();
        
            hideLangPopup();
            
            $('#post-title').val(langContents[lang]['title']);
            
            //the same as in GS, when menu is empty it will be title
            $('#post-menu').val(!langContents[lang]['menu'] ? langContents[lang]['title'] : langContents[lang]['title']);
            
            $('#post-metak').val(langContents[lang]['meta']);
            $('#post-metad').val(langContents[lang]['metad']);
            $('#post-content').val(langContents[lang]['content']); //no cke

            //with cke
            if (typeof CKEDITOR != 'undefined' && CKEDITOR.instances && CKEDITOR.instances['post-content']){
                CKEDITOR.instances['post-content'].setData(langContents[lang]['content']);
            }
            
            $('.specialtable *[id^="post-sp-"]').each(function(){
                var $input = $(this),
                    name = $input.attr('id').substr(8);
                    
                if ( $input.is('[type="checkbox"]') ){
                    $input.attr('checked', langContents[lang][name]);
                }  
                else if ( $input.is('textarea') ){
                    $input.val(langContents[lang][name]); //without cke
                    if (typeof CKEDITOR != 'undefined' && CKEDITOR.instances && CKEDITOR.instances['post-sp-'+name]){ //with cke
                        CKEDITOR.instances['post-sp-'+name].setData(langContents[lang][name]);
                    }
                }       
                else{
                    $input.val(langContents[lang][name]);
                }
                $input.trigger('change');
            });
            
        });
        
        function hideLangPopup(){
            $langPopup.hide();
            $langButton.removeClass('active');
        }
    });
</script>
<div id="copyLanguage">
    <p><?php i18n('SpecialPagesExtras/LANG_FILL') ?>:</p>
    <ul>
        <?php for ($i = 0; $i < count($languages); $i++): ?>
        <li><button class="spe"><?php echo $languages[$i]; ?></button></li>
        <?php endfor; ?>
    </ul>   
</div>